package com.muyu.breakdown.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 故障日志对象 fault_log
 *
 * @author muyu
 * @date 2024-09-20
 */

@EqualsAndHashCode(callSuper = true)
@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("fault_log")
public class FaultLog extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 故障码 */
    @Excel(name = "故障码")
    private String faultCode;

    /** 车辆VIN */
    @Excel(name = "车辆VIN")
    private String carVin;

    /** 开始报警时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始报警时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束报警时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束报警时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

}
