package com.muyu.breakdown.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.breakdown.domain.BreakDown;
import com.muyu.breakdown.domain.MessageMap;

import java.util.List;
import java.util.Map;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-17-15:31
 * @ Version：1.0
 * @ Description：故障管理业务层
 * @author Lenovo
 */
public interface BreakDownService extends IService<BreakDown> {
    /**
     * 精确查询车辆故障
     *
     * @param id 车辆故障主键
     * @return 车辆故障
     */
    public BreakDown selectBreakDownById(Long id);

    /**
     * 查询车辆故障列表
     *
     * @param breakDown 车辆故障
     * @return 车辆故障集合
     */
    public List<BreakDown> selectBreakDownList(BreakDown breakDown);

    /**
     * 判断 车辆故障 id是否唯一
     * @param breakDown 车辆故障
     * @return 结果
     */
    Boolean checkIdUnique(BreakDown breakDown);

    Map<String, String> getMessages(MessageMap messageMap);
}
