package com.muyu.carrail.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.carrail.domain.SysFence;

/**
 * 围栏组Service接口
 *
 * @author muyu
 * @date 2024-09-17
 */
public interface ISysFenceService extends IService<SysFence> {
    /**
     * 精确查询围栏组
     *
     * @param id 围栏组主键
     * @return 围栏组
     */
    public SysFence selectSysFenceById(Long id);

    /**
     * 查询围栏组列表
     *
     * @param sysFence 围栏组
     * @return 围栏组集合
     */
    public List<SysFence> selectSysFenceList(SysFence sysFence);

    /**
     * 判断 围栏组 id是否唯一
     * @param sysFence 围栏组
     * @return 结果
     */
    Boolean checkIdUnique(SysFence sysFence);

}
