package com.muyu.car.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 车辆报文类型对象 sys_message_type
 *
 * @author muyu
 * @date 2024-09-18
 */

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_message_type")
public class SysMessageType {
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 报文编码 */
    @Excel(name = "报文编码")
    private String messageCode;

    /** 报文名称 */
    @Excel(name = "报文名称")
    private String messageName;

    /** 报文分类 */
    @Excel(name = "报文分类")
    private String messageType;
    @Excel(name = "报文字段类型")
    private String messageClass;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("messageCode", getMessageCode())
            .append("messageName", getMessageName())
            .append("messageType", getMessageType())
            .toString();
    }
}
