package com.muyu.car.domain;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class VehicleMessage extends BaseEntity {

    /**
     * VIN码
     */
    private String carVin;
    /**
     * 时间戳
     */
    private Long startTime;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 车速
     */
    private String speed;
    /**
     * 总里程
     */
    private String totalMileage;
    /**
     * 总电压
     */
    private String totalVoltage;
    /**
     * 总电流
     */
    private String combinedCurrent;
    /**
     * 绝缘电阻
     */
    private String insulationResistance;
    /**
     * 档位
     */
    private String gearPosition;
    /**
     * 加速踏板行程值
     */
    private String acceleratorPedalTravelValue;
    /**
     * 制动踏板行程值
     */
    private String brakePedalTravelValue;
    /**
     * 燃料消耗率
     */
    private String specificFuelConsumption;
    /**
     * 电机控制器温度
     */
    private String motorControllerTemperature;
    /**
     * 电机转速
     */
    private String motorSpeed;
    /**
     * 电机转矩
     */
    private String motorTorque;
    /**
     * 电机温度
     */
    private String motorTemperature;
    /**
     * 电机电压
     */
    private String motorVoltage;
    /**
     * 电机电流
     */
    private String motorCurrent;
    /**
     * 动力电池剩余电量SOC
     */
    private String powerBatteryRemainingSOC;
    /**
     * 当前状态允许的最大反馈功率
     */
    private String maximumPower;
    /**
     * 当前状态允许最大放电功率
     */
    private String maximumDischargePower;
    /**
     * BMS自检计数器
     */
    private String BMSSelfCheckCounter;
    /**
     * 动力电池充放电电流
     */
    private String electricCurrent;
    /**
     * 动力电池负载端总电压V3
     */
    private String totalVoltageV3;
    /**
     * 单次最大电压
     */
    private String singleMaximumVoltage;
    /**
     * 单体电池最低电压
     */
    private String minimumVoltageOfABattery;
    /**
     * 单体电池最高温度
     */
    private String maximumBatteryTemperature;
    /**
     * 单体电池最低温度
     */
    private String minimumBatteryTemperature;
    /**
     * 动力电池可用容量
     */
    private String powerBatteryAvailableCapacity;
    /**
     * 车辆状态
     */
    private String vehicleStatus;
    /**
     * 充电状态
     */
    private String chargingState;
    /**
     * 运行状态
     */
    private String runningState;
    /**
     * SOC
     */
    private String SOC;
    /**
     * 可充电储能装置工作状态
     */
    private String workStatus;
    /**
     * 驱动电机状态
     */
    private String driveMotorCondition;
    /**
     * 定位是否有效
     */
    private String orientation;
    /**
     * EAS
     */
    private String eas;
    /**
     * PTC
     */
    private String ptc;
    /**
     * EPS
     */
    private String eps;
    /**
     * ABS
     */
    private String abs;
    /**
     * MCU
     */
    private String mcu;
    /**
     * 动力电池加热状态
     */
    private String heatingState;
    /**
     * 动力电池当前状态
     */
    private String currentStatus;
    /**
     * 动力电池保温状态
     */
    private String insulationState;
    /**
     * DCDC
     */
    private String dcdc;
    /**
     * CHG
     */
    private String chg;
}
