package com.muyu.car.domain.mqtt;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName MqttProperties
 * @Description Mqtt配置类
 * @Author Chen
 * @Date 2024/9/27 20:15
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MqttProperties {
    /**
     * 节点
     */
    private String broker;
    /**
     * 主题
     */
    private String topic;

    /**
     * 用户名
     */
    private String userName;
    /**
     * 密码
     */
    private String password;
    /**
     * 节点ID
     */
    private String clientId;
    /**
     * 上报级别
     */
    private int pos = 0;
}
