package com.muyu.car.domain.mqtt;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


/**
 * @ClassName MqttServerModel
 * @Description mqtt服务器模型
 * @Author Chen
 * @Date 2024/9/27 21:12
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class MqttServerModel {
    private static final Logger log = LoggerFactory.getLogger(MqttServerModel.class);
    /**
     * MQTT服务节点
     */
    private String broker;

    /**
     * MQTT订阅主题
     */
    private String topic;

    public String getBroker() {
        log.info("broker: {}", broker);
        return broker.contains("tcp://") ? broker : "tcp://" + broker + ":1883";
    }
}
