package com.muyu.car.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.car.domain.SysMessageType;

/**
 * 车辆报文类型Service接口
 *
 * @author muyu
 * @date 2024-09-18
 */
public interface ISysMessageTypeService extends IService<SysMessageType> {
    /**
     * 精确查询车辆报文类型
     *
     * @param messageCode 车辆报文类型主键
     * @return 车辆报文类型
     */
    public SysMessageType selectSysMessageTypeByMessageCode(String messageCode);

    /**
     * 查询车辆报文类型列表
     *
     * @param sysMessageType 车辆报文类型
     * @return 车辆报文类型集合
     */
    public List<SysMessageType> selectSysMessageTypeList(SysMessageType sysMessageType);

    /**
     * 判断 车辆报文类型 id是否唯一
     * @param sysMessageType 车辆报文类型
     * @return 结果
     */
    Boolean checkIdUnique(SysMessageType sysMessageType);

}
