package com.muyu.system.saas.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.system.domain.SysUser;

import java.util.List;


/**
 * @Author: 胡杨
 * @Name: SysUser
 * @Description:
 * @CreatedDate: 2024/9/23 下午8:55
 * @FilePath: com.muyu.system.saas.service.impl
 */

public interface SysUserService extends IService<SysUser> {
    SysUser selectUserByUserName(String userName);

    /**
     * 校验用户名称是否唯一
     *
     * @param user 用户信息
     *
     * @return 结果
     */
    public SysUser checkUserNameUnique (SysUser user);

    /**
     * 新增用户岗位信息
     *
     * @param user 用户对象
     */
    public void insertUserPost (SysUser user);

    /**
     * 新增用户角色信息
     *
     * @param user 用户对象
     */
    public void insertUserRole (SysUser user);

    List<SysUser> selectUserList(SysUser user);
}
