package com.muyu.system.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.system.domain.SysEnt;
import com.muyu.system.service.SysEntService;

import javax.annotation.Resource;

import io.swagger.v3.oas.annotations.Operation;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.web.bind.annotation.*;
import lombok.extern.slf4j.Slf4j;

import java.util.List;

/**
 * @Author: 胡杨
 * @Name: SysEnt
 * @Description:
 * @CreatedDate: 2024/9/20 下午3:02
 * @FilePath: com.muyu.system.controller
 */
@Slf4j
@RestController
@RequestMapping("/ent")
public class SysEntController extends BaseController {
    @Resource
    private SysEntService service;

    /**
     * 获取参数配置列表
     */
    @PostMapping("/list")
    @Operation(summary = "查询集合", description = "查询saas租户数据源表")
    public Result<List<SysEnt>> list (@RequestBody SysEnt sysEnt) {
        return success(service.getList(sysEnt));
    }
}
