package com.muyu.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.system.domain.SysConfig;

import java.util.List;

/**
 * 系统配置服务
 *
 * @author DongZl
 * @date 2024/09/25
 */
public interface SysConfigService extends IService<SysConfig> {
    List<SysConfig> pageQuery (SysConfig config);

    /**
     * 通过Key进行查询值
     * @param configKey
     * @return
     */
    String selectConfigByKey (String configKey);

    /**
     * 检测参数是否唯一
     * @param config
     * @return
     */
    boolean checkConfigKeyUnique (SysConfig config);

    /**
     * 刷新缓存
     */
    void resetConfigCache ();

    /**
     * 清空参数缓存数据
     */
    public void clearConfigCache ();

    /**
     * 加载参数缓存数据
     */
    public void loadingConfigCache ();
}
