package com.muyu.warning.service;

import java.util.List;

import com.github.yulichang.base.MPJBaseService;
import com.muyu.warning.domain.WarnRule;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 预警规则Service接口
 *
 * @author muyu
 * @date 2024-09-20
 */
public interface IWarnRuleService extends IService<WarnRule> {
    /**
     * 精确查询预警规则
     *
     * @param id 预警规则主键
     * @return 预警规则
     */
    public WarnRule selectWarnRuleById(Long id);

    /**
     * 查询预警规则列表
     *
     * @param warnRule 预警规则
     * @return 预警规则集合
     */
    public List<WarnRule> selectWarnRuleList(WarnRule warnRule);

    /**
     * 判断 预警规则 id是否唯一
     * @param warnRule 预警规则
     * @return 结果
     */
    Boolean checkIdUnique(WarnRule warnRule);

}
